Bug 31981 - ATI 3D Rage II+ (Mach64) 800x600@16bpp broken - serial mouse in ks broken?
ATI 3D Rage II+ (Mach64) 800x600@16bpp broken - serial mouse in ks broken?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-16 09:02 EST by Gerald Teschl
Modified: 2007-04-18 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-20 00:00:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ks configuration file (824 bytes, text/plain)
2001-03-21 05:37 EST, Gerald Teschl
no flags Details

  None (edit)
Description Gerald Teschl 2001-03-16 09:02:13 EST
I made a ks installation on an old PI box with an ATI 3D Rage II+ card:

00:0d.0 VGA compatible controller: ATI Technologies Inc 3D Rage II+ 215GTB
[Mach64 GTB] (rev 9a)
00:0d.0 Class 0300: 1002:4755 (rev 9a)

However, with the default mode 800x600@16bpp both the keybord and mouse do
no
longer react as soon as X starts. I logged in via ssh and changed it to
1024x768@16bpp restarted X and everything worked normal.
Comment 1 Mike A. Harris 2001-03-16 09:40:53 EST
Please attach your X server logs and your X configuration using the file
attachment link below.  Also, please try the latest XFree86 and Mesa releases
from:

ftp://people.redhat.com/mharris

Attach logs, etc.. from this also if it does not solve the problem.
Comment 2 Mike A. Harris 2001-03-17 15:40:05 EST
This could be a duplicate of bug #30651, bug #27148 and possibly others..
Comment 3 Gerald Teschl 2001-03-18 13:56:33 EST
This is an anaconda error:

The box has a serial mouse (it doesn't have a ps/2 port at all) which is
detected correctly
according to /etc/sysconfig/mouse. However, anaconda sets up the XF86Config-4
for a ps/2 mouse.
Comment 4 Mike A. Harris 2001-03-19 15:18:29 EST
Reassigning to package owner.
Comment 5 Michael Fulbright 2001-03-20 00:10:23 EST
Brent please investigate.
Comment 6 Brent Fox 2001-03-20 11:30:25 EST
We have fixed a couple of issues related to serial mice, so I think this issue
may already be resolved, but I'll do a test just in case.
Comment 7 Brent Fox 2001-03-20 11:38:29 EST
Can you attach your kickstart file?  That would let me do an exact test of the
kind of install that you ran.
Comment 8 Gerald Teschl 2001-03-21 05:36:22 EST
Just did a test with qa0319:

Here is the /etc/sysconfig/mouse which is correct:
---------------------------------
FULLNAME="Generic - 2 Button Mouse (serial)"
MOUSETYPE="Microsoft"
XEMU3="yes"
XMOUSETYPE="Microsoft"
----------------------------------
But /etc/X11/XF86Config-4 contains
----------------------------------
        Identifier  "Mouse0"
        Driver      "mouse"
        Option      "Protocol" "PS/2"
        Option      "Device" "/dev/psaux"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "no"
----------------------------------
similar for /etc/X11/XF86Config.

I'll attach my ks.cfg file.
Comment 9 Gerald Teschl 2001-03-21 05:37:21 EST
Created attachment 13223 [details]
ks configuration file
Comment 10 Michael Fulbright 2001-04-02 11:40:51 EDT
Brent please verify this is corrected.
Comment 11 Brent Fox 2001-04-02 18:20:10 EDT
From looking at the package section of your XF86Config file, it looks to me like
X Windows would not get installed at all.  But then, it seems like that would
conflict with the section of the kickstart file where you specify to start X on
boot and to use KDE as the default desktop.  I think something may by wrong with
your kickstart file.

# Packages section
%packages
#@ Local
#@ Local Development

# Post Install
%post
Comment 12 Brent Fox 2001-04-04 14:40:39 EDT
Try putting something like 'Gnome Workstation' in the package section and see if
that makes any difference.
Comment 13 Brent Fox 2001-04-20 00:00:16 EDT
Closing due to inactivity.  Please reopen if you have any more information.

Note You need to log in before you can comment on or make changes to this bug.